<?php if (Session::get("tipo_usuario") != "2" OR GANHE_MAIS != "S"){ show_403();} ?>
<?php import_file(DIR_TEMPLATES."header.php", ["title" => "Ganhe Mais", "active_page" => "ganhe-mais"]); ?>

<?php 

	import_file(DIR_MODELS."Model.class.php");

	$model = new Model();

	$maximo = 20;

	if (isset($_GET["pag"])) {
		$pagina = filter_input(INPUT_GET, "pag", FILTER_SANITIZE_NUMBER_INT);
	}
	else{
		$pagina = 1;
	}

	$pesquisa = filter_input(INPUT_GET, "pesquisa", FILTER_SANITIZE_STRING);
	$id_estado = (int) (isset($_GET["estado"])) ? filter_input(INPUT_GET, "estado", FILTER_SANITIZE_NUMBER_INT) : Session::get("id_estado");
	$id_cidade = (int) (isset($_GET["cidade"])) ? filter_input(INPUT_GET, "cidade", FILTER_SANITIZE_NUMBER_INT) : Session::get("id_cidade");
	$id_categoria = (!empty($_GET["categoria"])) ? (int) filter_input(INPUT_GET, "categoria", FILTER_SANITIZE_NUMBER_INT) : null;
	$id_subcategoria = (!empty($_GET["subcategoria"])) ? (int) filter_input(INPUT_GET, "subcategoria", FILTER_SANITIZE_NUMBER_INT) : null;

	$link_pagina = "";

	$link_pagina .= "pesquisa=".urlencode($pesquisa)."&";
	$link_pagina .= "categoria=".urlencode($id_categoria)."&";
	$link_pagina .= "subcategoria=".urlencode($id_subcategoria)."&";
	$link_pagina .= "estado=".urlencode($id_estado)."&";
	$link_pagina .= "cidade=".urlencode($id_cidade)."&";

	$query = "";

	if (!empty($id_estado) and is_numeric($id_estado)) {
		$query .= " AND id_estado = ".anti_injection($id_estado);
	}

	if (!empty($id_cidade) and is_numeric($id_cidade)) {
		$query .= " AND id_cidade = ".anti_injection($id_cidade);
	}

	if (!empty($id_categoria) and is_numeric($id_categoria)) {
		$query .= " AND id_categoria = ".anti_injection($id_categoria);
	}

	if (!empty($id_subcategoria) and is_numeric($id_subcategoria)) {
		$query .= " AND id_subcategoria = ".anti_injection($id_subcategoria);
	}

	$inicio = (($maximo*$pagina)-$maximo);

?>

<h4 class="mb-3">
	<i class="fa-regular fa-money-bill-alt"></i> Ganhe Mais
</h4>

<div class="content-box">
	<form action="" method="get">
		<div class="form-group">
			<label for="pesquisa">Pesquisa Livre</label>
			<input type="text" name="pesquisa" id="pesquisa" class="form-control" autocomplete="off" value="<?php echo $pesquisa; ?>">
		</div>

		<div class="form-row">
			<div class="col-xl-3 col-lg-3 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="categoria">Categoria</label>
					<select name="categoria" id="categoria" class="form-control">
						<option value="">Todas</option>

						<?php

							$categorias = $model->query("SELECT * FROM categoria ORDER BY nome_categoria ASC");

							foreach ($categorias->fetchAll() as $i):

						?>
							<option value="<?php echo $i->id_categoria; ?>"><?php echo $i->nome_categoria; ?></option>
						<?php endforeach; ?>
					</select>
					<script>
						$(function(){
							$("#categoria").val("<?php echo $id_categoria; ?>");
						});
					</script>
				</div>
			</div>

			<div class="col-xl-3 col-lg-3 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="subcategoria">Subcategoria</label>
					<select name="subcategoria" id="subcategoria" class="form-control">
						<option value="">Todas</option>

						<?php 

							if (!empty($id_categoria) and is_numeric($id_categoria)) {
								$subcategorias = $model->query("
									SELECT * FROM subcategoria 
									WHERE 
										id_categoria = :id 
									ORDER BY 
										nome_subcategoria ASC
								", [
									":id" => $id_categoria
								]);

								foreach ($subcategorias->fetchAll() as $i) {
									echo '<option value="'.$i->id_subcategoria.'" class="option-subcategoria">'.$i->nome_subcategoria.'</option>';
								}
							}

						?>
					</select>
					<script>
						$(function(){
							$("#subcategoria").val("<?php echo $id_subcategoria; ?>");
						});
					</script>
				</div>
			</div>
			
			<div class="col-xl-3 col-lg-3 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="estado">Estado</label>
					<select name="estado" id="estado" class="form-control">
						<option value="">Todos</option>

						<?php

							$estados = $model->query("SELECT * FROM estado ORDER BY nome_estado ASC");

							foreach ($estados->fetchAll() as $i):

						?>
							<option value="<?php echo $i->id_estado; ?>"><?php echo $i->nome_estado; ?></option>
						<?php endforeach; ?>
					</select>
					<script>
						$(function(){
							$("#estado").val("<?php echo $id_estado; ?>");
						});
					</script>
				</div>
			</div>

			<div class="col-xl-3 col-lg-3 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cidade">Cidade</label>
					<select name="cidade" id="cidade" class="form-control">
						<option value="">Todas</option>

						<?php 

							if (!empty($id_estado) and is_numeric($id_estado)) {
								$cidades = $model->query("SELECT * FROM cidade WHERE id_estado = :id ORDER BY nome_cidade ASC", [":id" => $id_estado]);

								foreach ($cidades->fetchAll() as $i) {
									echo '<option value="'.$i->id_cidade.'" class="option-cidade">'.$i->nome_cidade.'</option>';
								}
							}

						?>
						<script>
							$(function(){
								$("#cidade").val("<?php echo $id_cidade; ?>");
							});
						</script>
					</select>
				</div>
			</div>
		</div>
		<button class="btn btn-primary">
			<i class="fa-regular fa-search"></i> Pesquisar
		</button>

		<a href="<?php echo show_link("/ganhe-mais/"); ?>" class="btn btn-secondary">
			<i class="fa-regular fa-eraser"></i> Limpar
		</a>
	</form>

	<hr>

	<div class="text-center mb-3">
		<h5 class="mb-3">Compatinhe e ganhe com as vendas dos produtos</h5>

		<div class="d-inline">
			<button type="button" id="btn-whatsapp" class="btn btn-whatsapp btn-square" disabled>
				<i class="fa-brands fa-whatsapp"></i>
			</button> 

			<button type="button" id="btn-facebook" class="btn btn-facebook btn-square" disabled>
				<i class="fa-brands fa-facebook-square"></i>
			</button>

			<button type="button" id="btn-gerar-link" class="btn btn-secondary btn-square" disabled>
				<i class="fa-regular fa-link"></i>
			</button>
		</div>

		<p class="mt-2">Selecione os produtos que você deseja compartilhar</p>
	</div>

	<div class="form-row align-items-center">
		<?php

			$result = $model->query("
				SELECT * FROM produto 
				INNER JOIN plano ON (plano.id_plano = produto.id_plano) 
				WHERE 
					(
						nome_produto LIKE :pesquisa OR
						valor_produto LIKE :pesquisa OR
						nome_plano LIKE :pesquisa
					) AND 
					quantidade_produto > 0 AND 
					ganhe_mais = 'S' AND 
					status_produto = 'S' 
					$query
				ORDER BY 
					id_produto DESC
				LIMIT 
					:maximo OFFSET :inicio
			", [
				":pesquisa" => "%".$pesquisa."%", 
				":maximo" => $maximo, 
				":inicio" => $inicio
			]);

			$n = 1;	

			foreach ($result->fetchAll() as $i):

		?>
			<div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">
				<div class="card card-checkbox my-2" style="cursor: pointer;">

					<div 
						class="card-img-top" 
						style="
							width: 100%;
							height: 150px;
							background-image: url('<?php echo show_link($i->imagem_produto); ?>');
							background-repeat: no-repeat;
							background-position: center;
							background-size: cover;
					"></div>
					<div class="card-body border-top" style="padding: 0.75rem;">
						<div class="card-title" style="height: 60px; font-size: 18px;"><?php echo compress_string($i->nome_produto, 50); ?></div>
						<div class="card-text">
							<div class="form-row align-items-center">
								<div class="col-12" style="height: 55px;">
									<?php if (!empty($i->porcentagem_desc_cliente)): ?>
										<div class="text-secondary" style="text-decoration: line-through; font-size: 13px;">
											<?php echo money_mask_BR($i->valor_produto); ?>
										</div>
										<div class="text-success" style="font-size: 20px;">
											<strong><?php echo money_mask_BR($i->valor_produto - ($i->valor_produto * pct($i->porcentagem_desc_cliente))); ?></strong>
										</div>
									<?php else: ?>
										<div class="text-success" style="font-size: 20px;">
											<strong><?php echo money_mask_BR($i->valor_produto - ($i->valor_produto * pct($i->porcentagem_desc_cliente))); ?></strong>
										</div>
									<?php endif; ?>
								</div>
								<div class="col text-right mt-2 mb-0" style="height: 25px;">
									<?php if (!empty($i->porcentagem_cashback)): ?>
										<span class="badge badge-info">
											<?php echo "Cashback ".number_format($i->porcentagem_cashback, 2, ",", "")."%"; ?>	
										</span>
									<?php endif; ?>
									<?php if (!empty($i->porcentagem_desc_cliente)): ?>
										<span class="badge badge-success">
											<?php echo "<i class='fa-regular fa-arrow-down'></i> ".number_format($i->porcentagem_desc_cliente, 2, ",", "")."%"; ?>	
										</span>
									<?php endif; ?>
								</div>
							</div>
						</div>
					</div>	
					<input type="checkbox" class="d-none" value="<?php echo $i->id_produto; ?>" data-img="<?php echo (isset($_SERVER["HTTPS"]) ? "https" : "http")."://".$_SERVER["HTTP_HOST"].URL_BASE.$i->imagem_produto; ?>">
				</div>
			</div>
			<?php $n++; ?>
		<?php endforeach; ?>
	</div>

	<ul class="pagination justify-content-center mt-2" style="margin-bottom: -15px;">
		<?php 

			$busca = $model->query("
				SELECT * FROM produto 
				INNER JOIN plano ON (plano.id_plano = produto.id_plano) 
				WHERE
					status_produto = 'S' AND 
					ganhe_mais = 'S' AND 
					quantidade_produto > 0 AND 
					(
						nome_produto LIKE :pesquisa OR
						valor_produto LIKE :pesquisa OR
						nome_plano LIKE :pesquisa
					)
					$query
			", [
				":pesquisa" => "%".$pesquisa."%"
			]);

			$total  = $busca->rowCount();

			$total_paginas = ceil($total/$maximo);
						   
			if ($pagina <= $total_paginas and $pagina > 1) {
 				echo '<li class="page-item"><a href="?'.$link_pagina.'pag='.($pagina-1).'" class="page-link"><span aria-hidden="true">&laquo;</span></a> </li>';
			}

			echo ' <li class="page-item active"><p class="page-link">'.$pagina.'</p></li> ';

			if ($pagina < $total_paginas) {	
				echo '<li class="page-item"><a href="?'.$link_pagina.'pag='.($pagina+1).'" class="page-link"><span aria-hidden="true">&raquo;</span></a></li> ';
			}
			
		?>
	</ul>
</div>

<!-- Modal Copiar Link -->
<div class="modal fade" id="modal-copiar-link" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">
					<i class="fa-regular fa-link"></i> Link Promocional
				</h5>
			</div>
			<div class="modal-body">
				<div class="input-group my-2">
					<input type="text" id="link-promocional" class="form-control" readonly>
					<div class="input-group-append">
						<button type="button" id="btn-copiar" class="btn btn-primary">
							<i class="fa-regular fa-clone"></i> Copiar
						</button>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-white" data-dismiss="modal">
					<i class="fa-regular fa-times"></i> Fechar
				</button>
			</div>
		</div>
	</div>
</div>

<script>
	$("#estado").change(function(){
		var id = $(this).val();

		$(".option-cidade").remove();

		if ($(this).val() != "") {
			$.ajax({
				type: "POST",
				data: {id_estado: id},
				url: "<?php echo show_link("/obter-cidades/"); ?>",
				async: true
			}).then(function(response){
				var result = $.parseJSON(response);

				if (result.status == true) {
					var html = "";

					$.each(result.dados, function(i, data){
						html += '<option value="'+data.id_cidade+'" class="option-cidade">'+data.nome_cidade+'</option>';
						console.log(data);
					});

					$("#cidade").append(html);
				}
			}, function(error){
				console.log("Erro: "+error);
			});
		}
	});

	$("#categoria").change(function(){
		var id_categoria = $(this).val();

		$(".option-subcategoria").remove();

		if ($(this).val() != "") {
			$.ajax({
				type: "POST",
				data: {id_categoria: id_categoria},
				url: "<?php echo show_link("/obter-subcategorias/"); ?>",
				async: true
			}).then(function(response){
				var result = $.parseJSON(response);

				if (result.status == true) {
					var html = "";

					$.each(result.dados, function(i, data){
						html += '<option value="'+data.id_subcategoria+'" class="option-subcategoria">'+data.nome_subcategoria+'</option>';
						console.log(data);
					});

					$("#subcategoria").append(html);
				}
			}, function(error){
				console.log("Erro: "+error);
			});
		}
	});

	var imgFacebook = "";

	function checkCheckbox(){
		var checkbox = $("input[type='checkbox']");
		var status = false;

		$.each(checkbox, function(){
			if ($(this).prop("checked") == true) {
				status = true;
				imgFacebook = $(this).data("img");
				return true;
			}
		});

		if (status) {
			$("#btn-whatsapp").attr("disabled", false);
			$("#btn-facebook").attr("disabled", false);
			$("#btn-gerar-link").attr("disabled", false);
		}
		else{
			$("#btn-whatsapp").attr("disabled", true);
			$("#btn-facebook").attr("disabled", true);
			$("#btn-gerar-link").attr("disabled", true);
		}
	}

	$(".card-checkbox").click(function(){
		if ($(this).hasClass("border-checked")) {
			$(this).removeClass("border-checked");
			$(this).find("input[type='checkbox']").prop("checked", false);
		}
		else{
			$(this).addClass("border-checked");
			$(this).find("input[type='checkbox']").prop("checked", true);
		}
		checkCheckbox();
	});

	$("#btn-whatsapp").click(function(){
		var produtos = $("input[type='checkbox']");
		var link;
		var p = "";

		$.each(produtos, function(i){
			if ($(this).prop("checked") == true) {
				p += $(this).val();
				p += ",";
			}
		});

		p = p.substr(0, (p.length-1));

		if (p != "") {
			$.ajax({
				type: "POST",
				data: {"p": p},
				url: "<?php echo show_link("/obter-link-compartilhamento/"); ?>",
				async: true
			}).then(function(response){
				result = $.parseJSON(response);

				if (screen.width < 1024 || screen.height < 768) {
					window.open("whatsapp://send?text=Aproveite os nossos itens com promoções exclusivas! \n\n"+result.link);
				}
				else{
					window.open("https://api.whatsapp.com/send?text=Aproveite os nossos itens com promoções exclusivas! \n\n"+result.link);
				}
			}, function(error){
				console.log("Erro: "+error);
			});
		}
	});

	$("#btn-facebook").click(function(){
		var produtos = $("input[type='checkbox']");
		var link;
		var p = "";

		$.each(produtos, function(i){
			if ($(this).prop("checked") == true) {
				p += $(this).val();
				p += ",";
			}
		});

		p = p.substr(0, (p.length-1));


		if (p != "") {
			$.ajax({
				type: "POST",
				data: {"p": p},
				url: "<?php echo show_link("/obter-link-compartilhamento/"); ?>",
				async: true
			}).then(function(response){
				result = $.parseJSON(response);

				var metas = ''+
				'<meta property="og:url"         class="meta-facebook" content="'+result.link+'" />'+
				'<meta property="og:type"        class="meta-facebook" content="website" />'+
				'<meta property="og:title"       class="meta-facebook" content="Produtos Promocionais" />'+
				'<meta property="og:description" class="meta-facebook" content="Aproveite os nossos itens com promoções exclusivas!" />'+
				'<meta property="og:image"       class="meta-facebook" content="'+imgFacebook+'" />';

				$(".meta-facebook").remove();
				$("head").append(metas);

				window.open("https://www.facebook.com/sharer.php?u="+result.link);
			}, function(error){
				console.log("Erro: "+error);
			});
		}
	});

	$("#btn-gerar-link").click(function(){
		var produtos = $("input[type='checkbox']");
		var link;
		var p = "";

		$.each(produtos, function(i){
			if ($(this).prop("checked") == true) {
				p += $(this).val();
				p += ",";
			}
		});

		p = p.substr(0, (p.length-1));

		if (p != "") {
			$.ajax({
				type: "POST",
				data: {"p": p},
				url: "<?php echo show_link("/obter-link-compartilhamento/"); ?>",
				async: true
			}).then(function(response){
				result = $.parseJSON(response);

				$("#link-promocional").val(result.link);
				$("#modal-copiar-link").modal("show");
			}, function(error){
				console.log("Erro: "+error);
			});
		}
	});

	$("#btn-copiar").click(function(){
		var input = $("#link-promocional");
		input.select();
		document.execCommand("copy");
		input.click();

		$.toast({
			heading: "Aviso",
			text: "Link Copiado!",
			icon: "success",
			hideAfter: 2000,
			loader: true
		});
	});
</script>

<?php import_file(DIR_TEMPLATES."footer.php"); ?>